#!/bin/bash

#SBATCH --job-name=gc3n4_band         # jobname
#SBATCH --cpus-per-task=1           # Number of cores per MPI task
#SBATCH --ntasks=120                # Number of MPI tasks (i.e. processes)
#SBATCH --ntasks-per-node=40
#SBATCH --nodes=3                   # Maximum number of nodes to be allocated
#SBATCH --partition=mediumq         # Partition Name
#SBATCH --output=qe_runx.log



echo -e '\n submitted Quantum Espresso job'
echo 'hostname'
hostname

# loads Open MPI and Quantum Espresso modules

module purge
module load compilers/intel/parallel_studio_xe_2020.4.912
module load apps/quantum-espresso/intel/parallel_studio_xe_2020.4.912/6.7


# run Quantum Espresso using Open MPI's mpirun
# results will be printed to output.file


mpirun pw.x < scf.in > scf.out

mpirun bands.x < upbands.in > upbands.out


echo "Job finished Successfully"

